  // SquareCenter
  private void dsc(Graphics g, int x, int y, int r)
  {
    g.drawRect(x-r, y-r, 2*r, 2*r);
  }
  private void dsc2(Graphics g, double x, double y, double r)
  {
    g.drawRect((int)x-(int)r, (int)y-(int)r, 2*(int)r, 2*(int)r);
  }
  // SquareCenter plus DotedCircle
  private void dscpdc(Graphics g, int x, int y, int r)
  {
    g.drawRect(x-r, y-r, 2*r, 2*r);
    g.drawOval(x-r+1, y-r+1, 2*(r-1), 2*(r-1));
  }
  private void dscpdc2(Graphics g, double x, double y, double r)
  {
    g.drawRect((int)x-(int)r, (int)y-(int)r, 2*(int)r, 2*(int)r);
    g.drawOval((int)x-(int)r+1, (int)y-(int)r+1, 2*((int)r-1), 2*((int)r-1));
  }
  // DrawLine
  private void dl(Graphics g, int x1, int y1, int x2, int y2)
  {
    g.drawLine(x1, y1, x2, y2);
  }
  private void dl2(Graphics g, double x1, double y1, double x2, double y2)
  {
    g.drawLine((int)x1, (int)y1, (int)x2, (int)y2);
  }
  // DrawCross
  private void dcr(Graphics g, int x, int y, int r)
  {
    g.drawLine(x-r, y, x+r, y);
    g.drawLine(x, y-r, x, y+r);
  }
  private void dcr2(Graphics g, double x, double y, double r)
  {
    g.drawLine((int)x-(int)r, (int)y, (int)x+(int)r, (int)y);
    g.drawLine((int)x, (int)y-(int)r, (int)x, (int)y+(int)r);
  }
  // DrawCrossX
  private void dcrx(Graphics g, int x, int y, int r)
  {
    g.drawLine(x-r, y-r, x+r, y+r);
    g.drawLine(x-r, y+r, x+r, y-r);
  }
  private void dcrx2(Graphics g, double x, double y, double r)
  {
    g.drawLine((int)x-(int)r, (int)y-(int)r, (int)x+(int)r, (int)y+(int)r);
    g.drawLine((int)x-(int)r, (int)y+(int)r, (int)x+(int)r, (int)y-(int)r);
  }
  // DrawCircle
  private void dc(Graphics g, int x, int y, int r)
  {
    g.drawOval(x-r, y-r, 2*r, 2*r);
  }
  private void dc2(Graphics g, double x, double y, double r)
  {
    //g.drawArc((int)x-(int)r, (int)y-(int)r, (int)r, (int)r, 0, 360);
    g.drawOval((int)x-(int)r, (int)y-(int)r, 2*(int)r, 2*(int)r);
  }
  // DrawTarget
  private void dt(Graphics g, int x, int y, int r)
  {
    g.drawOval(x-r, y-r, 2*r, 2*r);
    g.drawLine(x, y+r, x, y+2*r);
    g.drawLine(x, y-r, x, y-2*r);
    g.drawLine(x-r, y, x-2*r, y);
    g.drawLine(x+r, y, x+2*r, y);
  }
  private void dt2(Graphics g, double x, double y, double r)
  {
    g.drawOval((int)x-(int)r, (int)y-(int)r, 2*(int)r, 2*(int)r);
    g.drawLine((int)x, (int)y+(int)r, (int)x, (int)y+2*(int)r);
    g.drawLine((int)x, (int)y-(int)r, (int)x, (int)y-2*(int)r);
    g.drawLine((int)x-(int)r, (int)y, (int)x-2*(int)r, (int)y);
    g.drawLine((int)x+(int)r, (int)y, (int)x+2*(int)r, (int)y);
  }
  // DrawDotedCircle
  // A COMPLETER
  private void ddc(Graphics g, int x, int y, int r)
  {
    g.drawOval(x-r, y-r, 2*r, 2*r);
  }
  private void ddc2(Graphics g, double x, double y, double r)
  {
    //g.drawArc((int)x-(int)r, (int)y-(int)r, (int)r, (int)r, 0, 360);
    g.drawOval((int)x-(int)r, (int)y-(int)r, 2*(int)r, 2*(int)r);
  }
  // DrawSpot
  private void ds(Graphics g, int x, int y, int radius)
  {
    g.fillOval(x-radius, y-radius, 2*radius, 2*radius);
  }
  private void ds2(Graphics g, double x, double y, double radius)
  {
    g.fillOval((int)x-(int)radius, (int)y-(int)radius, 2*(int)radius, 2*(int)radius);
  }
  // DrawSpotGray
  private void dsg(Graphics g, int x, int y, int radius)
  {
    g.setColor(Color.gray);
    g.fillOval(x-radius, y-radius, 2*radius, 2*radius);
    g.setColor(Color.black);
  }
  private void dsg2(Graphics g, double x, double y, double radius)
  {
    g.setColor(Color.gray);
    g.fillOval((int)x-(int)radius, (int)y-(int)radius, 2*(int)radius, 2*(int)radius);
    g.setColor(Color.black);
  }
  // DrawStar
  private void dst(Graphics g, int x, int y, int radius, int indexColor)
  {
    if (radius <= 1) {
      g.setColor(Color.black);
      g.fillOval(x-radius, y-radius, 2*radius, 2*radius);
    }
    else {
      if (indexColor < 0) g.setColor(Color.black);
      else if (indexColor == 0) g.setColor(Color.blue);
      else if (indexColor == 1) g.setColor(Color.cyan);
      else if (indexColor == 2) g.setColor(Color.white);
      else if (indexColor == 3) g.setColor(colorLightYellow);
      else if (indexColor == 4) g.setColor(Color.yellow);
      else if (indexColor == 5) g.setColor(Color.orange);
      else if (indexColor == 6) g.setColor(colorLightRed);
      else if (indexColor == 7) g.setColor(Color.red);
      else if (indexColor > 7) g.setColor(Color.green);
      g.fillOval(x-radius, y-radius, 2*radius, 2*radius);
      g.setColor(Color.black);
      g.drawOval(x-radius, y-radius, 2*radius, 2*radius);
    }
  }
  private void dst2(Graphics g, double x, double y, double radius, int indexColor)
  {
    if (radius <= 1.0) {
      g.setColor(Color.black);
      g.fillOval((int)x-(int)radius, (int)y-(int)radius, 2*(int)radius, 2*(int)radius);
    }
    else {
      if (indexColor < 0) g.setColor(Color.black);
      else if (indexColor == 0) g.setColor(Color.blue);
      else if (indexColor == 1) g.setColor(Color.cyan);
      else if (indexColor == 2) g.setColor(Color.white);
      else if (indexColor == 3) g.setColor(colorLightYellow);
      else if (indexColor == 4) g.setColor(Color.yellow);
      else if (indexColor == 5) g.setColor(Color.orange);
      else if (indexColor == 6) g.setColor(colorLightRed);
      else if (indexColor == 7) g.setColor(Color.red);
      else if (indexColor > 7) g.setColor(Color.green);
      g.fillOval((int)x-(int)radius, (int)y-(int)radius, 2*(int)radius, 2*(int)radius);
      g.setColor(Color.black);
      g.drawOval((int)x-(int)radius, (int)y-(int)radius, 2*(int)radius, 2*(int)radius);
    }
  }
  // DrawDisk
  private void dd(Graphics g, int x, int y, int rExt, int rInt, Color cExt, Color cInt)
  {
    g.setColor(cExt);
    g.fillOval(x-rExt, y-rExt, 2*rExt, 2*rExt);
    g.setColor(cInt);
    g.fillOval(x-rInt, y-rInt, 2*rInt, 2*rInt);
    g.setColor(Color.black);
    g.drawOval(x-rExt, y-rExt, 2*rExt, 2*rExt);
  }
  private void dd2(Graphics g, double x, double y, double rExt, double rInt, Color cExt, Color cInt)
  {
    g.setColor(cExt);
    g.fillArc((int)x-(int)rExt, (int)y-(int)rExt, 2*(int)rExt, 2*(int)rExt, 0, 360);
    g.setColor(cInt);
    g.fillArc((int)x-(int)rInt, (int)y-(int)rInt, 2*(int)rInt, 2*(int)rInt, 0, 360);
    g.setColor(Color.black);
    g.drawArc((int)x-(int)rExt, (int)y-(int)rExt, 2*(int)rExt, 2*(int)rExt, 0, 360);
  }
  // DrawPoint
  private void dp(Graphics g, int x, int y)
  {
    g.fillOval(x, y, 1, 1);
  }
  private void dp2(Graphics g, double x, double y)
  {
    g.fillOval((int)x, (int)y, 1, 1);
  }
  // DrawPointBig
  private void dpb(Graphics g, int x, int y)
  {
    g.fillOval(x-1, y-1, 2, 2);
  }
  private void dpb2(Graphics g, double x, double y)
  {
    g.fillOval((int)x-1, (int)y-1, 2, 2);
  }
  // DrawEllipse
  private void de(Graphics g, int x, int y, int dx, int dy, int start, int end)
  {
    g.drawArc(x-dx, y-dy, 2*dx, 2*dy, start, end);
  }
  private void de2(Graphics g, double x, double y, double dx, double dy, int start, int end)
  {
    g.drawArc((int)x-(int)dx, (int)y-(int)dy, 2*(int)dx, 2*(int)dy, start, end);
  }
  // SquareCenter plus Ellipse
  private void dscpel(Graphics g, int x, int y, int r)
  {
    g.drawRect(x-r, y-r, 2*r, 2*r);
    g.drawArc(x-r-1, y-r-2, r-1, r-2, 0, 360);
  }
  private void dscpel2(Graphics g, double x, double y, double r)
  {
    g.drawRect((int)x-(int)r, (int)y-(int)r, 2*(int)r, 2*(int)r);
    g.drawArc((int)x-(int)r-1, (int)y-(int)r-2, (int)r-1, (int)r-2, 0, 360);
  }
  // TextOnRect
  private void tor(Graphics g, int x, int y, String s, FontMetrics fm)
  {
    g.setColor(Color.white);
    g.fillRect(x, y, fm.stringWidth(s), fm.getHeight()-3);
    g.setColor(Color.black);
    g.drawString(s, x, y+2*fm.getHeight()/3);
  }
  // Greek Alphabet
  // A COMPLETER
